XFree86 3.2 can't open XKB (RH 4.0)---HELP!

XFree86 3.2 can't open XKB (RH 4.0)---HELP!

Post by Peter Hatc » Wed, 18 Dec 1996 04:00:00



i'm running RH4.0 (new install) and can't compile XF86 without getting an
error that says that it can't access my tcl/tk libraries. I do have tcl/tk,
but every permutation of possible lib names and directories seems to yield
the same result. as a result of this, XF86Setup isn't compiled, and the
damn thing can't load the XKB module, causing every key to transmit the
kill signal.

i've tried using the names libtcl.so.3/libtck.so.3  and every other
potential lib names I can find. i am new to linux (<4 month experience) and
when i was running slackware 3.0 i didn't have this problem. i've run out
of ideas.

if you can think of anything i could try, i would be greatful.  this is a
bad trip since, as they say, i'm "so close and yet so far..."

thanx,

 
 
 

XFree86 3.2 can't open XKB (RH 4.0)---HELP!

Post by Bill Davidso » Sat, 21 Dec 1996 04:00:00


Hi Peter:


> i'm running RH4.0 (new install) and can't compile XF86 without getting an

OK, first question: Why are you compiling XF86?  Just get the binaries!

Quote:> error that says that it can't access my tcl/tk libraries. I do have tcl/tk,
> but every permutation of possible lib names and directories seems to yield
[snip]
> i've tried using the names libtcl.so.3/libtck.so.3  and every other
> potential lib names I can find. i am new to linux (<4 month experience) and

You say you have the libs; where are they and what are they called?
If, eg, you have libtcl.so.3 in some "standard" location like /usr/lib,
and you have run ldconfig as root so it knows about them, then you just
need -ltcl on your linker invocation command.  One gotcha: there must be
a symbolic link that is just called libtcl.so and that points to
libtcl.so.3, and you must create it yourself.

--
+---------------------------------------+
|    Bill Davidson                      |

|    http://www.isisnet.com/bdavidson/  |
+---------------------------------------+

 
 
 

1. RH 5.0 Error upgrading XFree86-3.3.1-14 to XFree86-3.3.2

I get the following error when I try to install the latest version of
XFree.  ALL of my packages are up to date as of June 7th except for
this one.  Any help? TIA

Al Ruth

RH 5.0
P200MMX
64MB RAM
ATI Mach64


/usr/X11R6/bin/X conflicts with file from xserver-wrapper-1.1-1
error: XFree86-3.3.2-11.i386.rpm cannot be installed

2. NFS and Samba Problem in IP Masq Gateway

3. Redhat 4.0 but XFree86 3.2?

4. Printers/Scanner in linux

5. XF 3.2 + RH 4.0 + SVGA = Error 111?

6. Help? Dosemu hardcoded for /dev/sda???

7. Problems with RH 5.1 / XFree86-3.3.2 / AfterStep

8. ISDN with LINUX

9. XKB (3.2) and British win95 keymap

10. XFree 3.2 - Xkb ? keyboard problems

11. xf863.3.2 + xkb + MS Natural

12. Can't get XFree86 4.0 working on FBSD 4.0

13. RH 4.0 upgrade fails: 'hostname' ok, but 'uname -n' == "(none)"